Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.header
Class ContentTypeHeader

    java.lang.Object
      org.teleal.cling.model.message.header.UpnpHeader<org.teleal.common.util.MimeType>
          org.teleal.cling.model.message.header.ContentTypeHeader

    public class ContentTypeHeader

extends UpnpHeader<org.teleal.common.util.MimeType>

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.header.UpnpHeader
`UpnpHeader.Type`

Field Summary
`static org.teleal.common.util.MimeType` | `DEFAULT_CONTENT_TYPE`
`static org.teleal.common.util.MimeType` | `DEFAULT_CONTENT_TYPE_UTF8`

Constructor Summary
`ContentTypeHeader()`
`ContentTypeHeader(org.teleal.common.util.MimeType contentType)`
`ContentTypeHeader(String s)`

Method Summary
`String` | `getString()`
`boolean` | `isText()`
`boolean` | `isUDACompliant()`
`void` | `setString(String s)`

Methods inherited from class org.teleal.cling.model.message.header.UpnpHeader
`getValue, newInstance, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_CONTENT_TYPE

    public static final org.teleal.common.util.MimeType DEFAULT_CONTENT_TYPE

### DEFAULT_CONTENT_TYPE_UTF8

    public static final org.teleal.common.util.MimeType DEFAULT_CONTENT_TYPE_UTF8

Constructor Detail

### ContentTypeHeader

    public ContentTypeHeader()

### ContentTypeHeader

    public ContentTypeHeader(org.teleal.common.util.MimeType contentType)

### ContentTypeHeader

    public ContentTypeHeader(String s)
                      throws InvalidHeaderException

Throws:
  `InvalidHeaderException`

Method Detail

### setString

    public void setString(String s)
                   throws InvalidHeaderException

  Specified by:
    `setString` in class `UpnpHeader<org.teleal.common.util.MimeType>`
  Throws:
    `InvalidHeaderException`

### getString

    public String getString()

  Specified by:
    `getString` in class `UpnpHeader<org.teleal.common.util.MimeType>`

### isUDACompliant

    public boolean isUDACompliant()

### isText

    public boolean isText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.